airflow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Nick Allen (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AIRFLOW-646) setup.py install fails
Date Tue, 22 Nov 2016 22:09:58 GMT
Nick Allen created AIRFLOW-646:
----------------------------------

             Summary: setup.py install fails
                 Key: AIRFLOW-646
                 URL: https://issues.apache.org/jira/browse/AIRFLOW-646
             Project: Apache Airflow
          Issue Type: Bug
    Affects Versions: Airflow 1.7.1
         Environment: OS X
Ubuntu 16.04
Python 2.7
Python 3.5
            Reporter: Nick Allen


Running `python setup.py install` or listing airflow as a dependency in another setup.py install_requires
section results in the following error:

{quote}
Running python-daemon-2.1.2/setup.py -q bdist_egg --dist-dir /tmp/easy_install-fibs2crb/python-daemon-2.1.2/egg-dist-tmp-hbg5xgc1
Traceback (most recent call last):
  File "/usr/local/lib/python3.5/site-packages/setuptools/sandbox.py", line 154, in save_modules
    yield saved
  File "/usr/local/lib/python3.5/site-packages/setuptools/sandbox.py", line 195, in setup_context
    yield
  File "/usr/local/lib/python3.5/site-packages/setuptools/sandbox.py", line 243, in run_setup
    DirectorySandbox(setup_dir).run(runner)
  File "/usr/local/lib/python3.5/site-packages/setuptools/sandbox.py", line 273, in run
    return func()
  File "/usr/local/lib/python3.5/site-packages/setuptools/sandbox.py", line 242, in runner
    _execfile(setup_script, ns)
  File "/usr/local/lib/python3.5/site-packages/setuptools/sandbox.py", line 46, in _execfile
    exec(code, globals, locals)
  File "/tmp/easy_install-fibs2crb/python-daemon-2.1.2/setup.py", line 43, in <module>
    sys.exit(errno)
AttributeError: module 'version' has no attribute 'ChangelogAwareDistribution'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "setup.py", line 281, in <module>
    do_setup()
  File "setup.py", line 275, in do_setup
    'extra_clean': CleanCommand,
  File "/usr/local/lib/python3.5/distutils/core.py", line 148, in setup
    dist.run_commands()
  File "/usr/local/lib/python3.5/distutils/dist.py", line 955, in run_commands
    self.run_command(cmd)
  File "/usr/local/lib/python3.5/distutils/dist.py", line 974, in run_command
    cmd_obj.run()
  File "/usr/local/lib/python3.5/site-packages/setuptools/command/install.py", line 67, in
run
    self.do_egg_install()
  File "/usr/local/lib/python3.5/site-packages/setuptools/command/install.py", line 117, in
do_egg_install
    cmd.run()
  File "/usr/local/lib/python3.5/site-packages/setuptools/command/easy_install.py", line 391,
in run
    self.easy_install(spec, not self.no_deps)
  File "/usr/local/lib/python3.5/site-packages/setuptools/command/easy_install.py", line 621,
in easy_install
    return self.install_item(None, spec, tmpdir, deps, True)
  File "/usr/local/lib/python3.5/site-packages/setuptools/command/easy_install.py", line 672,
in install_item
    self.process_distribution(spec, dist, deps)
  File "/usr/local/lib/python3.5/site-packages/setuptools/command/easy_install.py", line 717,
in process_distribution
    [requirement], self.local_index, self.easy_install
  File "/usr/local/lib/python3.5/site-packages/pkg_resources/__init__.py", line 826, in resolve
    dist = best[req.key] = env.best_match(req, ws, installer)
  File "/usr/local/lib/python3.5/site-packages/pkg_resources/__init__.py", line 1092, in best_match
    return self.obtain(req, installer)
  File "/usr/local/lib/python3.5/site-packages/pkg_resources/__init__.py", line 1104, in obtain
    return installer(requirement)
  File "/usr/local/lib/python3.5/site-packages/setuptools/command/easy_install.py", line 640,
in easy_install
    return self.install_item(spec, dist.location, tmpdir, deps)
  File "/usr/local/lib/python3.5/site-packages/setuptools/command/easy_install.py", line 670,
in install_item
    dists = self.install_eggs(spec, download, tmpdir)
  File "/usr/local/lib/python3.5/site-packages/setuptools/command/easy_install.py", line 850,
in install_eggs
    return self.build_and_install(setup_script, setup_base)
  File "/usr/local/lib/python3.5/site-packages/setuptools/command/easy_install.py", line 1078,
in build_and_install
    self.run_setup(setup_script, setup_base, args)
  File "/usr/local/lib/python3.5/site-packages/setuptools/command/easy_install.py", line 1064,
in run_setup
    run_setup(setup_script, args)
  File "/usr/local/lib/python3.5/site-packages/setuptools/sandbox.py", line 246, in run_setup
    raise
  File "/usr/local/lib/python3.5/contextlib.py", line 77, in __exit__
    self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.5/site-packages/setuptools/sandbox.py", line 195, in setup_context
    yield
  File "/usr/local/lib/python3.5/contextlib.py", line 77, in __exit__
    self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.5/site-packages/setuptools/sandbox.py", line 166, in save_modules
    saved_exc.resume()
  File "/usr/local/lib/python3.5/site-packages/setuptools/sandbox.py", line 141, in resume
    six.reraise(type, exc, self._tb)
  File "/usr/local/lib/python3.5/site-packages/pkg_resources/_vendor/six.py", line 685, in
reraise
    raise value.with_traceback(tb)
  File "/usr/local/lib/python3.5/site-packages/setuptools/sandbox.py", line 154, in save_modules
    yield saved
  File "/usr/local/lib/python3.5/site-packages/setuptools/sandbox.py", line 195, in setup_context
    yield
  File "/usr/local/lib/python3.5/site-packages/setuptools/sandbox.py", line 243, in run_setup
    DirectorySandbox(setup_dir).run(runner)
  File "/usr/local/lib/python3.5/site-packages/setuptools/sandbox.py", line 273, in run
    return func()
  File "/usr/local/lib/python3.5/site-packages/setuptools/sandbox.py", line 242, in runner
    _execfile(setup_script, ns)
  File "/usr/local/lib/python3.5/site-packages/setuptools/sandbox.py", line 46, in _execfile
    exec(code, globals, locals)
  File "/tmp/easy_install-fibs2crb/python-daemon-2.1.2/setup.py", line 43, in <module>
    sys.exit(errno)
AttributeError: module 'version' has no attribute 'ChangelogAwareDistribution'
{quote}

Issue appears to be due to setup.py structure of {{python-daemon}} package, working on opening
an issue on project's source page. 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message